List accounts
curl --request GET \
--url https://sg.sandbox.api.reap.global/accounts/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/accounts/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"ownerType": "USER",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chainAddresses": [
{
"chainId": "ETHEREUM_MAINNET",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21"
}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "INVALID_OWNER_TYPE_FILTER",
"message": "<string>",
"detail": {}
}
}Accounts
List accounts
Retrieves a paginated list of accounts. Use GET /accounts/:id/balance to retrieve balance details for a specific account.
GET
/
accounts
/
List accounts
curl --request GET \
--url https://sg.sandbox.api.reap.global/accounts/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/accounts/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ACTIVE",
"ownerType": "USER",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chainAddresses": [
{
"chainId": "ETHEREUM_MAINNET",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21"
}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:35:00Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "INVALID_OWNER_TYPE_FILTER",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Query Parameters
Maximum number of items to return (1-100, default: 20)
Required range:
x <= 100Examples:
20
50
100
Opaque cursor for pagination. Pass nextCursor from previous response to get next page.
Filter accounts by exact ID match
Filter accounts by status (comma-separated)
ACTIVE: Account is fully operationalRESTRICTED: Account is restricted (e.g., as a result of fraud detection)
Available options:
ACTIVE, RESTRICTED Filter accounts by owner type (comma-separated). When omitted, only user- and company-owned accounts are returned. Pass PROJECT explicitly to retrieve the project master account; this is only valid for program-funded projects.
USER: Account owned by an individualCOMPANY: Account owned by a businessPROJECT: Master collateral account owned by the project
Available options:
USER, COMPANY, PROJECT Filter accounts by owner ID (comma-separated). Matches either the user or company owner of the account.